Manage grants

The SNOWFLAKE REST Grant API provides the following endpoints to manage Snowflake grants:

Snowflake Grant API endpoints

EndpointDescription
POST /api/v2/grants/granteeType/granteeName/securableType/securableName/privilegesGrants privileges listed in the request body.
POST /api/v2/grants/granteeType/granteeName/bulkGrantType/securableTypePlural/scopeType/scopeName/privilegesGrants privileges listed in the request body to all securables of the specified type in the given scope.
DELETE /api/v2/grants/granteeType/granteeName/securableType/securableName/privileges/privilegeRevokes privileges listed in the path parameters.
DELETE /api/v2/grants/granteeType/granteeName/securableType/securableName/privileges/privilege/grant-optionRevokes the grant option for the privileges listed in the path parameters.
DELETE /api/v2/grants/granteeType/granteeName/bulkGrantType/securableTypePlural/scopeType/scopeName/privileges/privilegeRevokes the privilege listed on the group securable in the specified scope.
DELETE /api/v2/grants/granteeType/granteeName/bulkGrantType/securableTypePlural/scopeType/scopeName/privileges/privilege/grant-optionRevokes the grant option for the privilege listed on the group securable in the given scope.
GET /api/v2/grants/granteeType/granteeNameLists the roles and privileges granted to the specified grantee using the output of SHOW GRANTS TO.

For reference documentation, see Snowflake Grant API reference.